Subject: bridge igmp snooping implementation

From: Felix Fietkau <[email-masked]>
Date: Tue, 25 Sep 2012 12:18:21 +0200

Hi,

I'v been looking at the bridge IGMP snooping code and I noticed that it
appears to not keep track of multicast group member IP addresses. Is
this intentional?

It seems to me that this would lead to issues when multiple members of
the same multicast group are behind the same bridge port, and one of
them leaves.

I'm currently looking into adding a feature that allows bridge ports to
be configured to selectively turn multicast traffic into unicast
traffic. For this I would need to change the code to keep track of
member IP and MAC addresses.

This helps a lot on 802.11, where unicast is often much cheaper than
multicast, even when sending out duplicate packets (higher data rates
and aggregation heavily reduce airtime utilization).

- Felix